from pathlib import Path

from jinja2 import Environment, FileSystemLoader


class PayloadBuilder:
    @staticmethod
    def build(template_path: Path, **kwargs) -> str:
        environment = Environment(loader=FileSystemLoader(template_path.parent))
        template = environment.get_template(template_path.name)

        return template.render(**kwargs)
